// OptionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Warp.h"
#include "MainFrm.h"
#include "OptionDlg.h"
#include "SrcView.h"
#include "DstView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionDlg dialog


COptionDlg::COptionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COptionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void COptionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionDlg)
	DDX_Control(pDX, IDC_OPTION_SPIN_VERT, m_spinVert);
	DDX_Control(pDX, IDC_OPTION_SPIN_HORZ, m_spinHorz);
	DDX_Control(pDX, IDC_OPTION_EDIT_VERT, m_editVert);
	DDX_Control(pDX, IDC_OPTION_EDIT_HORZ, m_editHorz);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptionDlg, CDialog)
	//{{AFX_MSG_MAP(COptionDlg)
	ON_BN_CLICKED(IDC_OPTION_BUTTON_APPLY, OnOptionButtonApply)
	ON_BN_CLICKED(IDC_OPTION_BUTTON_MESH, OnOptionButtonMesh)
	ON_BN_CLICKED(IDC_OPTION_BUTTON_CP, OnOptionButtonCp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionDlg message handlers

void COptionDlg::OnOK() 
{
	// TODO: Add extra validation here
	CSplitterWnd	*pwndSplitter;
	CString			str;

	m_editHorz.GetWindowText( str );
	m_cxMesh = atoi( str );
	m_editVert.GetWindowText( str );
	m_cyMesh = atoi( str );

	((CMainFrame*)AfxGetMainWnd())->m_pdlgOption = NULL;
	((CMainFrame*)AfxGetMainWnd())->m_cxMesh = m_cxMesh;
	((CMainFrame*)AfxGetMainWnd())->m_cyMesh = m_cyMesh;
	pwndSplitter = &((CMainFrame*)AfxGetMainWnd())->m_wndSplitter;

	CSrcView*	pviewSrc = (CSrcView*)pwndSplitter->GetPane( 0, 0 );
	CDstView*	pviewDst = (CDstView*)pwndSplitter->GetPane( 0, 1 );
	pviewSrc->CreateMesh( m_cxMesh, m_cyMesh );	pviewSrc->Invalidate();
	pviewDst->CreateMesh( m_cxMesh, m_cyMesh );	pviewDst->Invalidate();
	
	CDialog::OnOK();
}

void COptionDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	((CMainFrame*)AfxGetMainWnd())->m_pdlgOption = NULL;

//	DestroyWindow();
	CDialog::OnCancel();
}

void COptionDlg::OnOptionButtonApply() 
{
	// TODO: Add your control notification handler code here
	CSplitterWnd	*pwndSplitter;
	CString			str;

	m_editHorz.GetWindowText( str );
	m_cxMesh = atoi( str );
	m_editVert.GetWindowText( str );
	m_cyMesh = atoi( str );

	((CMainFrame*)AfxGetMainWnd())->m_pdlgOption = NULL;
	((CMainFrame*)AfxGetMainWnd())->m_cxMesh = m_cxMesh;
	((CMainFrame*)AfxGetMainWnd())->m_cyMesh = m_cyMesh;
	pwndSplitter = &((CMainFrame*)AfxGetMainWnd())->m_wndSplitter;

	CSrcView*	pviewSrc = (CSrcView*)pwndSplitter->GetPane( 0, 0 );
	CDstView*	pviewDst = (CDstView*)pwndSplitter->GetPane( 0, 1 );
	pviewSrc->CreateMesh( m_cxMesh, m_cyMesh );	pviewSrc->Invalidate();
	pviewDst->CreateMesh( m_cxMesh, m_cyMesh );	pviewDst->Invalidate();
}

void COptionDlg::OnOptionButtonMesh() 
{
	// TODO: Add your control notification handler code here
	
}

void COptionDlg::OnOptionButtonCp() 
{
	// TODO: Add your control notification handler code here
	
}

BOOL COptionDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_editHorz.SetWindowText( "0" );
	m_editVert.SetWindowText( "0" );
	m_spinVert.SetRange( 2, 100 );
	m_spinHorz.SetRange( 2, 100 );
	m_spinVert.SetPos( 7 );
	m_spinHorz.SetPos( 7 );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
