#if !defined(AFX_DSTVIEW_H__14E5E70C_A998_11D2_A5D8_ACD395F4D76B__INCLUDED_)
#define AFX_DSTVIEW_H__14E5E70C_A998_11D2_A5D8_ACD395F4D76B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DstView.h : header file
//
#include "TMesh.h"
#include "TPixmap.h"

/////////////////////////////////////////////////////////////////////////////
// CDstView view

class CDstView : public CView
{
protected:
	CDstView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDstView)

// Attributes
public:
	TMesh		m_mesh;
	TPixmap		m_pixmap;

	BOOL		m_bDrag;
	int			m_nDragMeshX;
	int			m_nDragMeshY;

	BOOL		m_bShowMesh;
// Operations
public:
	void		CreateMesh( int cx, int cy );
	void		Load( LPCTSTR file, int cxMesh, int cyMesh );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDstView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDstView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDstView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSTVIEW_H__14E5E70C_A998_11D2_A5D8_ACD395F4D76B__INCLUDED_)
