// TMesh.h: interface for the TMesh class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __TMESH_H__
#define __TMESH_H__

//#include "Maf.h"
#include <windows.h>

class TMesh  
{
public:
	LPPOINT	m_lpPoints;				// ޽ Ʈ Ʈ  
	int		m_cx;					// ޽   
	int		m_cy;					// ޽   

	int		m_nWidth;				// ̹  ũ
	int		m_nHeight;				// ̹  ũ

	int		m_nDrawOffsetX;			// ȭ鿡 ׸ Offset X
	int		m_nDrawOffsetY;			// ȭ鿡 ׸ Offset Y

	int		m_nPointSize;			//  ȼ ũ

	POINT	m_ptCtrl;
	BOOL	m_fIsSelected;

public:
	TMesh();
	virtual ~TMesh();

public:
	BOOL Load( LPCTSTR lpszFileName, int nWidth, int nHeight, int nDrawOffsetX, int nDrawOffsetY );
	BOOL Save( LPCTSTR lpszFileName );
	BOOL Create(int nWidth, int nHeight, int cx, int cy, int nDrawOffsetX = 0, int nDrawOffsetY = 0);
	void Draw(HANDLE hdc, int xOffset, int yOffset);
	BOOL HitTest(int nScreenX, int nScreenY, LPPOINT lpCtrlPoint);
	BOOL SetMeshPoint(int nMeshX, int nMeshY, int nValX, int nValY);
	BOOL GetMeshPoint(int nMeshX, int nMeshY, int& rValX, int& rValY);
	int	 GetWidth() { return m_cx; }
	int  GetHeight() { return m_cy; }

	TMesh& TMesh::operator=(const TMesh& rMesh);
};

#endif // !__TMESH_H__
