// WarpDoc.cpp : implementation of the CWarpDoc class
//

#include "stdafx.h"
#include "Warp.h"

#include "MainFrm.h"
#include "WarpDoc.h"
#include "SrcView.h"
#include "DstView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWarpDoc

IMPLEMENT_DYNCREATE(CWarpDoc, CDocument)

BEGIN_MESSAGE_MAP(CWarpDoc, CDocument)
	//{{AFX_MSG_MAP(CWarpDoc)
	ON_COMMAND(ID_FILE_SAVE, OnFileSave)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWarpDoc construction/destruction

CWarpDoc::CWarpDoc()
{
	// TODO: add one-time construction code here

}

CWarpDoc::~CWarpDoc()
{
}

BOOL CWarpDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CWarpDoc serialization

void CWarpDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CWarpDoc diagnostics

#ifdef _DEBUG
void CWarpDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CWarpDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWarpDoc commands

void CWarpDoc::OnFileSave() 
{

	static	char	szFilter[] = "Control point Files (*.src)\0*.src\0All Files(*.*)\0*.*\0\0";

	CMainFrame*	pwnd = (CMainFrame*)AfxGetMainWnd();
	CString			file;
	CString			src, dst;
	CFileDialog		dlg( FALSE, NULL, "*.src", OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, szFilter, pwnd );

	if( dlg.DoModal() == IDCANCEL )
		return;

	file = dlg.GetPathName();
	src = file + ".src";
	dst = file + ".dst";

	CSrcView*	pviewSrc = (CSrcView*)pwnd->m_wndSplitter.GetPane( 0, 0 );
	CDstView*	pviewDst = (CDstView*)pwnd->m_wndSplitter.GetPane( 0, 1 );

	pviewSrc->m_mesh.Save( src );
	pviewDst->m_mesh.Save( dst );
}

